# Электронная библиотека для специалиста в области информатики и вычислительной техники (09.03.01)

## операционные системы, архитектура и ЭВМ

##### [Операционные системы реального времени и технологии разработки кроссплатформенного программного обеспечения. Часть I(Беспалов Дмитрий Анатольевич, Гушанский Сергей Михайлович, Коробейникова Наталия Михайловна)](https://znanium.com/catalog/document?id=357445)

- Раскрывает принципы разработки кроссплатформенных приложений на языке высокого уровня с применением современных инструментов и библиотек, а также показывает в деталях все существующие подходы к созданию стандартных веб-приложений, реактивных веб-приложений, серверных приложений, а также настольного и мобильного программного обеспечения с применением таких инструментов, как JavaScript, HTML CSS, ReactJS, NodeJS, ElectronJS и React Native.
 

##### [Архитектура средств вычислительной техники. Общие сведения об ЭВМ. Процессоры и устройства управления(Гребенников Валерий Федотович, Овчеренко Владимир Александрович)](https://znanium.com/catalog/document?id=398057)

- Рассматриваются основные принципы организации ЭВМ, приведен ряд их наиболее популярных классификаций, выделены ключевые характеристики ЭВМ, а также дано описание важнейших этапов проектирования ЭВМ. Основное внимание уделено вопросам построения процессоров и способам организации их работы. Рассмотрены структуры арифметико-логических устройств (АЛУ), как основного ядра процессоров, а также принципы организации и архитектуры устройств управления (схемно-логических и микропрограммных).

## Программирование и проектная деятельность

##### [Программирование на языке Си(Кузин Александр Владимирович, Чумакова Екатерина Витальевна)](https://znanium.com/catalog/document?id=418823)

- Представляет собой начальный курс по программированию на языке высокого уровня Си и входит в серию учебников по программированию. Описаны работа линейных, разветвляющихся и циклических структур, обработка одномерных и двумерных массивов, рассмотрены методы работы со строками, структурами и файлами. Большое внимание уделено организации работы с динамической памятью. Изложение проиллюстрировано большим количеством примеров.
 

##### [Разработка, внедрение и адаптация программного обеспечения отраслевой направленности(Федорова Галина Николаевна)](https://znanium.com/catalog/document?id=416358)

- Рассматривается круг вопросов, связанных с разработкой, внедрением и адаптацией программного обеспечения. Излагаются методы отладки, и тестирования программ, особенности разработки технической и проектной документации. Анализируются методики измерений характеристик программного обеспечения, оценки их эффективности, описываются стандарты качества программного обеспечения. Обсуждаются технологии сбора информации и создания информационных ресурсов.

##### [Программирование на PYTHON в среде IDLE(Шевченко Людмила Григорьевна, Дружинина Татьяна Витальевна)](https://znanium.com/catalog/document?id=396958)

- Учебное пособие предназначено для студентов, обучающихся по направлению «Электроэнергетика и электротехника». Может быть полезно студентам для подготовки курсовых и квалификационных работ, а также магистрантам и аспирантам при проведении научных исследований. Практическая часть ориентирована на выполнение наиболее часто встречающихся математических задач.
 

##### [Основы автоматизированного проектирования(Божко Аркадий Николаевич, Волосатова Тамара Михайловна, Грошев Сергей Владимирович, Жук Дмитрий Михайлович, Карпенко Анатолий Павлович, Маничев Владимир Борисович, Мартынюк Владимир Алексеевич, Норенков Юрий Игоревич, Пивоварова Наталья Владимировна, Трудоношин Владимир Анатольевич)](https://znanium.com/catalog/document?id=420450)

- Ориентирован на базовую подготовку студентов различных инженерных специальностей в области САПР. в нем рассматриваются конструкторское проектирование и создание геометрических моделей изделий, т.е. системы конструкторского проектирования, называемые системами CAD (Computer Aided Design). Представлены также системы для расчетов и инженерного анализа САЕ (Computer Aided Engineering); системы автоматизации технологической подготовки производства САМ (Computer Aided Manufacturing); системы управления проектными данными PDM (Product Data Management), предназначенные для координации работы систем CAD, CAE, CAM. Значительное место занимают основные виды обеспечения САПР — техническое, математическое, программное, лингвистическое и информационное.

## Информационные технологии и вычислительная техника

##### [Вычислительная техника(Партыка Татьяна Леонидовна, Попов Игорь Иванович)](https://znanium.com/catalog/document?id=380019)

- Рассматриваются состав, характеристики, функции и структура технических средств обработки, хранения и передачи информации, в том числе виды информации и способы представления ее в ЭВМ; системы счисления, перевод чисел из одной системы счисления в другую; логические основы ЭВМ; элементарные логические функции; персональные компьютеры (процессоры, системы памяти, интерфейсы); накопители информации (магнитные ленты, диски, оптические накопители — CD/DVD, магнитооптические, твердотельные и другие альтернативные технологии); интерактивные устройства (терминалы с мониторами на ЭЛТ и плоскопанельными, манипуляторы, сенсорные экраны); мультимедийные системы (цифровое фото, видео, звук, мультимедийные проекторы); средства организации сетей и мобильных вычислений (сети, связь компьютеров, мобильные компьютеры — процессоры и интерфейсы расширения).

 
##### [Информационные системы и технологии(Голицына Ольга Леонидовна, Максимов Николай Вениаминович, Попов Игорь Иванович)](https://znanium.com/catalog/document?id=427018)

- Рассматриваются классификация и структура автоматизированных информационных технологий (АИТ), связанные с ними понятия и определения, роль предметной области. Приводятся базовые АИТ пользователя — обработка текстов, таблиц, мультимедийных данных; смешанные АИТ — распознавание символов, преобразование речи в текст и обратно, машинный перевод. Рассматриваются технологии администратора и разработчика АИС и АИТ — доступ к данным в локальном и сетевом режимах, клиент-серверные архитектуры, средства и технологии информационного поиска.
 

## компьютерное моделирование, компьютерная графика

##### [Компьютерное моделирование(Градов Владимир Михайлович, Овечкин Геннадий Владимирович, Овечкин Павел Владимирович, Рудаков Игорь Владимирович)](https://znanium.com/catalog/document?id=416556)

- Рассматриваются теория и практика построения компьютерных моделей. Подробно изложены вопросы построения генераторов случайных величин с заданными законами распределения, приведены рекомендации и методики проверки их качества. На конкретных примерах показаны основные приемы моделирования с помощью метода статистических испытаний. Подробно изложены вопросы моделирования систем массового обслуживания. Рассмотрены основы стратегического и тактического планирования машинного эксперимента. Представлены основы построения моделей с помощью инструментальных средств моделирования Pilgrim. В части описания методов и технологий численного моделирования дается материал, составляющий ядро вычислительных средств математического эксперимента, касающийся аппроксимации функций (включая линейную, нелинейную и многомерную интерполяции, наилучшее среднеквадратичное приближение), определения интегралов функций одной и многих переменных, построения и алгоритмизации математических моделей, описываемых дифференциальными уравнениями в частных производных.


##### [Введение в трехмерную компьютерную графику с использованием библиотеки OpenGL(Задорожный Александр Геннадьевич, Персова Марина Геннадьевна, Кошкина Юлия Игоревна)](https://znanium.com/catalog/document?id=396933)

- Рассмотрены элементы теории из раздела вычислительной геометрии для работы с трехмерной компьютерной графикой и соответствующие функции графической библиотеки OpenGL. Пособие может быть рекомендовано для самостоятельного изучения курсов «Компьютерная графика» и «Вычислительная геометрия».
 

## численные методы и анализ данных

##### [Численные методы. Достоверное и точное численное решение дифференциальных и алгебраических уравнений в CAE-системах САПР(Маничев Владимир Борисович, Глазкова Валентина Владимировна, Кузьмина Инна Анатольевна)](https://znanium.com/catalog/document?id=414402)

- Рассматриваются классические численные методы и алгоритмы для решения систем обыкновенных дифференциальных уравнений (ОДУ), нелинейных и линейных алгебраических уравнений (НАУ и ЛАУ), а также способы обеспечения достоверности и требуемой точности результатов решения. Излагаются идеи, которые до сих пор не отражены в учебниках по вычислительной математике, а именно: решение систем ОДУ без приведения к нормальной форме Коши, разрешенной относительно производных, и отказ от каких-либо численных эквивалентных преобразований исходных уравнений математических моделей и исходных данных в связи с тем, что такие преобразования могут изменять свойства моделей при вариации коэффициентов в соответствующих уравнениях.

##### [Программная инженерия информационно-управляющих систем в свете прикладной теории случайных процессов(Трояновский Владимир Михайлович)](https://znanium.com/catalog/document?id=335011)

- Особенности построения информационно-управляющих систем (ИУС) рассматриваются в свете требований и рекомендаций по преподаванию программной инженерии (ПИ) и информатики в университетах через анализ линейных и нелинейных динамических систем, работающих в условиях случайных возмущений, помех, ограниченных интервалов наблюдения и сопутствующих дискретно-непрерывных преобразований сигналов. Освещаются вопросы надежности систем и международной стандартизации в части ИУС и ПИ, а также общие вопросы обрамления системы, работы в локальных вычислительных сетях, разработки интегрированных систем и работы в реальном времени. В дополнительных материалах даны описания компьютерного моделирования, действующие демонстрационные программы и задания для студентов, а также раздел «Общие вопросы проектирования информационных систем». Соответствует требованиям Федерального государственного образовательного стандарта высшего образования последнего поколения.
